My contemplations and diurnal novelties are publicized here


While you are sitting in peace and all seems working fine with your website and suddenly it started through error 😦
When you look at the error, error seems like “Require permissions can’t be granted ”
What happened behind the scene might be this one, the administrator of your hosting provider started playing with Machine.config file and changed the trust level to Medium from Full trust. Now you can try different config settings, if he haven’t disabled. But if he disable to override trust level change you are in real trouble you have to remove your dll’s that need full trust or change them to work under medium trust.
Also keep in mind the dll which uses reflection requires fulltrust. If you have any such dll inside bin delete it and then check it out.
This is the solution that worked for me. 🙂

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: